VERSION 1.0 CLASS
BEGIN
  MultiUse = -1  'True
  Persistable = 0  'NotPersistable
  DataBindingBehavior = 0  'vbNone
  DataSourceBehavior  = 0  'vbNone
  MTSTransactionMode  = 0  'NotAnMTSObject
END
Attribute VB_Name = "Kid"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = True
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = False
Option Explicit
'Klasa Kid
Private frname As String, lname As String, club As String
Private age As Integer
Private time As Single
'-------------------------------------
Public Sub init(ByVal line As String)
  Dim lnum As String
  Dim tok As Tokenizer
  Set tok = New Tokenizer
  tok.setSeparator " "
  tok.init (line)
  
  lnum = tok.nextToken()
  frname = tok.nextToken()
  lname = tok.nextToken()
  age = Val(tok.nextToken())
  club = tok.nextToken()
  time = Val(tok.nextToken())
End Sub
'--------------------------------
Public Function getAge() As Integer
  getAge = age
End Function
    
Public Function getTime() As Single
  getTime = time
End Function
    
Public Function getFrname() As String
  getFrname = frname
End Function
    
Public Function getLname() As String
  getLname = lname
End Function
    
Public Function getClub() As String
  getClub = club
End Function
